/*

	tracking.js -- Mobile Detail Content Tracking
	
	NOTE: This is geared for a native app WebView. For other platforms,
	the send method will most likely need to be replaced with an XHR.

*/

EPOCRATES.md.tracking = {
	// message type defines
	msg: {
		LAUNCH: "101",
		BEGIN: "102",
		SLIDE_CHANGE: "103",
		ANSWER: "104",
		OPT_IN: "105",
		VIDEO_LAUNCH: "106",
		OPT_IN_FRONT: "110",
		OPT_IN_DONE: "111",
		NO_THANK_YOU: "112"
	},

    /*
	// iPhone's web view hack -- allows the
	// host native app to intercept specific requests
	send: function(url) {
		// make sure we're on an iPhone device or simulator
		if (typeof window.orientation != "undefined") {
			// TODO: wrap in a setTimeout to prevent GUI blocking
			window.setTimeout("window.location = '" + url + "'", 100);
		}
		else {
			console.log("tracking: " + url);
		}
	}*/
    
    // Android callback function to send the url to the java code.
    send: function(url) {
        window.md.callbackSend(url);
    }
};
